> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-7/v7-1-2-74821.md).

# Version 7.1.2.74821 Changelog (May 7th, 2020)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 7.1.2.74821
* Release Date: May 7th, 2020
* Built with Xcode 11.3.1 (11C505)

## New

* New callout annotation tool, [`PTCalloutCreate`](https://sdk.apryse.com/api/ios/Classes/PTCalloutCreate.html).

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-f39189fe76e1dd18fd2fbe4a2d04702ec4b4bff4%2F77c4e069a47eaa1931471f7b7ad748e2837b953d-709x1536.png?alt=media)

* New sepia viewing mode which can be enabled programmatically and also with a UI control on the [`PTDocumentViewSettingsController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewSettingsController.html).

| Sepia Mode                                                                                                                                                                                                                                       | Sepia Mode in Reflow                                                                                                                                                                                                                             |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| ![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-4f34d31661b273492890ef2ac44e893701bb6a47%2F3f12149a72e81ad4dc011b5d06af8e69c3baa28d-709x1536.png?alt=media) | ![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-2ed8c098a58e1ff5b8e0aaf42cc7cce201e7a939%2F5bdfffc4f7b4731dc400451345448a4719b18fd0-709x1536.png?alt=media) |

* Ability to programmatically set custom fonts for `PTFreeText` annotations.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-f87393e398df6c02df1a2a0fc4c1cd932ba19cf7%2Ff1b3b817983abff852d89645f5e913d5c49e5f85-709x1536.png?alt=media)

* Ability to programmatically set custom fonts for `PTReflowViewController` (The PDF's font(s) must include correct [character to glyph encoding](https://developer.apple.com/fonts/TrueType-Reference-Manual/RM06/Chap6cmap.html)).
* New [`willModifyAnnotation`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(im\)willModifyAnnotation:onPageNumber:) and [`willRemoveAnnotation`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(im\)willRemoveAnnotation:onPageNumber:) events and notifications.
* Improved document sharing using a [`UIActivityViewController`](https://developer.apple.com/uikit/uiactivityviewcontroller?language=objc). This allows the app to control which actions are available, for example printing can be disabled.
* New [collaboration sample](/ios/collaboration/samples-i.md#collaborate-with-the-pdftron-demonstration-server).

## Bug fixes

* Fixes a bug where the document would appear blurry after rotating 180-degrees.
* Fixes a bug where some annotations would appear in the wrong position when printing documents.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-7/v7-1-2-74821.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
